#pragma once
#include <stdbool.h>

#define AUTOSTARTX                                                                                                     \
  "\n#auto-startx \nif [[ \"$(tty)\" == \"/dev/tty1\" ]] && [ -z "                                                     \
  "\"$DISPLAY\" ]; then\nexec startx\nfi\n"

typedef struct Desktop {
  char *name;
  char *desc;
  char *pkg;
  char *cmd;
} desktop_t;

bool  exists(char *);
char *check_path(char *);
bool  joinhome(char *, char *);
bool  endswith(const char *, const char *);
